package cn.com.qmth.examcloud.core.questions.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.core.questions.dao.entity.base.MysqlBaseEntity;

@Entity
@Table(name = "ec_q_export_template", indexes = {
        @Index(name = "IDX_Q_EXPORT_TEMPLATE_01", columnList = "rootOrgId", unique = false) })
public class ExportTemplateEntity extends MysqlBaseEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 15887776621406032L;

    @NotNull
    private Long rootOrgId;

    @NotNull
    private String type;

    @NotNull
    private String fileName;

    @NotNull
    private String suffix;

    @NotNull
    private String filePath;

    @NotNull
    private String fileKey;

    @NotNull
    private Boolean enable;

    @NotNull
    private String createUser;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

}
